Home
last modified time | relevance | path

Searched refs:die (Results 1 – 21 of 21) sorted by relevance

/build/bazel/scripts/
Delf_input_files.sh17 function die() { format=$1; shift; printf >&2 "$format\n" $@; exit 1; } function
19 die "usage: ${0##*/} [-v] ELF [DIR]"
35 [[ -d "$outdir" ]] || die "$outdir does not exist"
37 die "$outdir does not contain Android build (verbose.log.gz is missing)"
52 [[ -s $cmdfile ]] || die "no ELF file ending with $elf was built in $outdir"
55 die " %s" $(zgrep_command | sed -r 's|.* -o ([^ ]+) .*|\1|'); }
Delf_compare.sh34 function die() { format=$1; shift; printf "$format\n" $@; exit 1; } function
40 *) die "usage:\n ${0##*/} ELF REFDIR OURDIR\nor\n ${0##*/} REFDIR REFELF OURDIR OURELF" ;;
42 [[ -d $refdir ]] || die "$refdir is not a build directory"
43 [[ -d $ourdir ]] || die "$outdir is not a build directory"
Dapex_compare.sh31 function die() { format=$1; shift; printf "$format\n" $@; exit 1; } function
37 [[ -f $f ]] || die "$f does not exist"
/build/soong/ui/metrics/upload_proto/
Dregen.sh7 function die() { echo "ERROR: $1" >&2; exit 1; } function
12 die "could not find aprotoc. ${error_msg}"
16 die "build failed. ${error_msg}"
/build/soong/ui/metrics/metrics_proto/
Dregen.sh7 function die() { echo "ERROR: $1" >&2; exit 1; } function
12 die "could not find aprotoc. ${error_msg}"
16 die "build failed. ${error_msg}"
/build/soong/ui/metrics/bazel_metrics_proto/
Dregen.sh19 function die() { echo "ERROR: $1" >&2; exit 1; } function
24 die "could not find aprotoc. ${error_msg}"
28 die "build failed. ${error_msg}"
/build/soong/ui/metrics/bp2build_metrics_proto/
Dregen.sh19 function die() { echo "ERROR: $1" >&2; exit 1; } function
24 die "could not find aprotoc. ${error_msg}"
28 die "build failed. ${error_msg}"
/build/soong/ui/status/build_progress_proto/
Dregen.sh7 function die() { echo "ERROR: $1" >&2; exit 1; } function
12 die "could not find aprotoc. ${error_msg}"
16 die "build failed. ${error_msg}"
/build/soong/ui/metrics/mk_metrics_proto/
Dregen.sh19 function die() { echo "ERROR: $1" >&2; exit 1; } function
24 die "could not find aprotoc. ${error_msg}"
28 die "build failed. ${error_msg}"
/build/soong/scripts/
Dsetup-android-build.sh35 function die() { printf "$@"; exit 1; } function
39 [[ "$(uname)" == Linux ]] || die "This setup runs only on Linux\n"
43 die "$0 should be in build/soong/scripts/ subdirectory of the source tree\n"
45 die "Current directory looks like source. You should be in the _target_ directory.\n"
50 die "This directory has been already set up to build Android for %s from %s.\n\
Dreverse-deps.sh53 function die() { echo -e "${*}" >&2; exit 2; } function
84 die "${me}: Run 'lunch' to configure the build environment"
88 die "${me}: Run 'lunch' to configure the build environment"
93 die "${me}: Run 'm nothing' to build the dependency graph"
98 die "${me}: Cannot find ninja executable expected at ${ninja_bin}"
133 die "Unknown flag ${1}"
145 die "${usage}\n\nNo target specified."
165 die "${me}: unable to create temporary directory"
Dtransitive-deps.sh84 function die() { echo -e "${*}" >&2; exit 2; } function
164 die "${me}: Run 'lunch' to configure the build environment"
168 die "${me}: Run 'lunch' to configure the build environment"
173 die "${me}: Run 'm nothing' to build the dependency graph"
178 die "${me}: Cannot find ninja executable expected at ${ninja_bin}"
283 die "${usage}\n\nUnknown flag ${1}";;
297 die "${usage}\n\nNo target specified."
329 die "${me}: unable to create temporary directory"
Dlist_image.sh7 function die() { format=$1; shift; printf "$format\n" "$@"; exit 1; } function
23 [[ -n "${filer:-}" ]] || die "cannot locate 'debugfs' executable: \
Drun-ckati.sh16 function die() { format=$1; shift; printf "$format\n" $@; exit 1; } function
17 function usage() { die "Usage: %s [-o FILE] VAR ...\n(without -o the output goes to ${outfile})" $…
19 [[ -d build/soong ]] || die "run this script from the top of the Android source tree"
21 [[ -x ${out}/soong_ui ]] || die "run Android build first"
Ddiff_build_graphs.sh23 function die() { function
30 die "$violation
/build/soong/cmd/extract_apks/bundle_proto/
Dregen.sh6 function die() { echo "ERROR: $1" >&2; exit 1; } function
10 hash aprotoc &>/dev/null || die "could not find aprotoc. ${error_msg}"
12 …t=paths=source_relative:. commands.proto config.proto targeting.proto ) || die "build failed. ${er…
/build/bazel/mk2rbc/
Dapply_scripted_change.sh20 function die() { format=$1; shift; printf "$format\n" $@; exit 1; } function
21 function usage() { die "Usage: %s script git-repo ..." ${0##*/}; }
27 [[ -x $script ]] || die "%s is not an executable script" $script
29 [[ -n "$bugid" ]] || die "$script contains neither '##CL Bug: ' nor '##CL Fixes: 'tag"
34 …out=$(git -C $gr status --porcelain --untracked-files=no) || { die "so skipping $gr because of the…
/build/make/tools/product_config/
Dtest.sh26 function die() { function
33 [[ -f build/make/envsetup.sh ]] || die "Run this script from the root of the tree."
43 || die "Build failed."
/build/bazel/ci/
Drbc_regression_test.sh9 function die() { function
55 die "Invalid product name: $arg. Example: aosp_arm64-userdebug"
/build/make/tools/droiddoc/templates-pdk/assets/
Djquery-1.6.2.min.js17 …egate:function(a,b,c){return arguments.length===0?this.unbind("live"):this.die(b,null,c,a)},trigge…
Djquery-resizable.min.js19 …lector+G;o(document).bind(i(G,this.selector),this.selector,E);return this},die:function(F,E){o(doc… method